Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		mtools
Version:	4.0.14
Release:	1
License:	GNU/GPL 
URL:		http://mtools.linux.lu
Group:		File Tools
Source0:	%{name}-%{version}.tar.bz2
Patch0: 	mtools-4.0.13-config.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	A collection of utilities for accessing unmounted MS-DOS disks from Unix.

BuildRequires: texinfo

BuildRequires:	libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXau-devel

Requires(post,preun) : /sbin/install-info

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
Mtools is a collection of utilities to access MS-DOS disks from Unix without mounting them.
It supports Win'95 style long file names, OS/2 Xdf disks and 2m disks (store up to 1992k on a high density 3 1/2 disk).
Mtools can now handle the long filenames of Windows NT and Windows 95.
For more details see: http://mtools.linux.lu

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
autoreconf -fiv
%configure --disable-floppyd
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc $RPM_BUILD_ROOT/%{_infodir}
%makeinstall
install -m644 mtools.conf $RPM_BUILD_ROOT/etc
gzip -9f $RPM_BUILD_ROOT/%{_infodir}/*

# We aren't shipping this.
find $RPM_BUILD_ROOT -name "floppyd*" -exec rm {} \;

# dir.gz is handled in %%post and %%preun sections
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir.gz

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :;

%preun
if [ "$1" -eq 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :;
fi

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/mtools.conf
%doc COPYING README Release.notes
%{_bindir}/amuFormat.sh
%{_bindir}/lz
%{_bindir}/mattrib
%{_bindir}/mbadblocks
%{_bindir}/mcat
%{_bindir}/mcd
%{_bindir}/mcheck
%{_bindir}/mclasserase
%{_bindir}/mcomp
%{_bindir}/mcopy
%{_bindir}/mdel
%{_bindir}/mdeltree
%{_bindir}/mdir
%{_bindir}/mdu
%{_bindir}/mformat
%{_bindir}/minfo
%{_bindir}/mkmanifest
%{_bindir}/mlabel
%{_bindir}/mmd
%{_bindir}/mmount
%{_bindir}/mmove
%{_bindir}/mpartition
%{_bindir}/mrd
%{_bindir}/mren
%{_bindir}/mshortname
%{_bindir}/mshowfat
%{_bindir}/mtools
%{_bindir}/mtoolstest
%{_bindir}/mtype
%{_bindir}/mxtar
%{_bindir}/mzip
%{_bindir}/tgz
%{_bindir}/uz
%{_infodir}/mtools.info.gz
%{_mandir}/man1/mattrib.1.gz
%{_mandir}/man1/mbadblocks.1.gz
%{_mandir}/man1/mcat.1.gz
%{_mandir}/man1/mcd.1.gz
%{_mandir}/man1/mclasserase.1.gz
%{_mandir}/man1/mcopy.1.gz
%{_mandir}/man1/mdel.1.gz
%{_mandir}/man1/mdeltree.1.gz
%{_mandir}/man1/mdir.1.gz
%{_mandir}/man1/mdu.1.gz
%{_mandir}/man1/mformat.1.gz
%{_mandir}/man1/minfo.1.gz
%{_mandir}/man1/mkmanifest.1.gz
%{_mandir}/man1/mlabel.1.gz
%{_mandir}/man1/mmd.1.gz
%{_mandir}/man1/mmount.1.gz
%{_mandir}/man1/mmove.1.gz
%{_mandir}/man1/mpartition.1.gz
%{_mandir}/man1/mrd.1.gz
%{_mandir}/man1/mren.1.gz
%{_mandir}/man1/mshortname.1.gz
%{_mandir}/man1/mshowfat.1.gz
%{_mandir}/man1/mtools.1.gz
%{_mandir}/man1/mtoolstest.1.gz
%{_mandir}/man1/mtype.1.gz
%{_mandir}/man1/mzip.1.gz
%{_mandir}/man5/mtools.5.gz

%changelog
* Sun Oct 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.0.14-1
- Version update
* Sun Mar 07 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.0.13-1
- Version update
* Thu Feb 26 2009 Christian Metzen <metzench@ccux-linux.de> 4.0.0-1
- Version update
* Sat Sep 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.9.11-1
- Version update
* Wed Sep 07 2005 Christian Wasem <wasem@ccux-linux.de> 3.9.10-1
- Update to Version 3.9.10, change group to File Tools  
